package com.gyee.generation.config.feign;

// 数据适配器取数对应的类
public class TsDoubleData {

    private long ts;
    private int status;
    private double doubleValue;
    private long longValue;

    public long getLongValue() {
        return longValue;
    }

    public void setLongValue(long longValue) {
        this.longValue = longValue;
    }

    public TsDoubleData(long ts, double doubleValue) {
        this.ts = ts;
        this.doubleValue = doubleValue;
    }

    public TsDoubleData() {
    }

    public long getTs() {
        return ts;
    }

    public void setTs(long ts) {
        this.ts = ts;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public double getDoubleValue() {
//        BigDecimal bg = new BigDecimal(doubleValue);
//        double v = bg.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
        return doubleValue;
    }

    public void setDoubleValue(double doubleValue) {
        this.doubleValue = doubleValue;
    }
}
